# generated with gtfstats.py
#
# python3 ~/git/sequences/gtfstats.py -i obi-rnaseq-stringtie.gtf.gz --print-introns > obi_rnaseq_intron_lengths.tab
#

### E muelleri

# gtfstats.py -i ../augustus/Emu_augustus_vs_nb_sysnames.gff --print-exons > ../intron-exon/emu_augustus_exons.tab
exondata = read.table("~/genomes/ephydatia_muelleri/intron-exon/emu_augustus_exons.tab", header=FALSE, sep=" ")
meanlength = mean(exondata[,4])
meanlength
medianlength = median(exondata[,4])
medianlength
exonlengths = exondata[,4]
exonlengths[exonlengths>50001] = 50001
emu_exon_hist = hist(exonlengths, breaks=seq(1,50001,20), plot=FALSE)

# gtfstats.py -i ../augustus/Emu_augustus_vs_nb_sysnames.gff --print-introns > emu_augustus_introns.tab
introndata = read.table("~/genomes/ephydatia_muelleri/intron-exon/emu_augustus_introns.tab", header=FALSE, sep=" ")
meanlength = mean(introndata[,6])
meanlength
medianlength = median(introndata[,6])
medianlength
intronlengths = introndata[,6]
intronlengths[intronlengths>50001] = 50001
emu_intron_hist = hist(intronlengths, breaks=seq(1,50001,20), plot=FALSE)

# gtfstats.py -i ../augustus/Emu_augustus_vs_nb_sysnames.gff --print-intergenic > emu_augustus_intergenic.tab
intergenicdata = read.table("~/genomes/ephydatia_muelleri/intron-exon/emu_augustus_intergenic.tab", header=FALSE, sep=" ")
meanlength = mean(intergenicdata[,6])
meanlength
medianlength = median(intergenicdata[,6])
medianlength
intergeniclengths = intergenicdata[,6]
intergeniclengths[intergeniclengths>50001] = 50001
emu_inter_hist = hist(intergeniclengths, breaks=seq(1,50001,50), plot=FALSE)

### A queenslandica

# gtfstats.py -i Amphimedon_queenslandica.Aqu1.45.gff3.gz --print-exons > ~/genomes/ephydatia_muelleri/intron-exon/Amphimedon_queenslandica.Aqu1.45.exons.tab
exondata = read.table("~/genomes/ephydatia_muelleri/intron-exon/Amphimedon_queenslandica.Aqu1.45.exons.tab", header=FALSE, sep=" ")
meanlength = mean(exondata[,4])
meanlength
medianlength = median(exondata[,4])
medianlength
exonlengths = exondata[,4]
exonlengths[exonlengths>50001] = 50001
aque2_exon_hist = hist(exonlengths, breaks=seq(1,50001,20), plot=FALSE)

# gtfstats.py -i Amphimedon_queenslandica.Aqu1.45.gff3.gz --print-introns > Amphimedon_queenslandica.Aqu1.45.introns.tab
introndata = read.table("~/genomes/ephydatia_muelleri/intron-exon/Amphimedon_queenslandica.Aqu1.45.introns.tab", header=FALSE, sep=" ")
meanlength = mean(introndata[,6])
meanlength
medianlength = median(introndata[,6])
medianlength
intronlengths = introndata[,6]
intronlengths[intronlengths>50001] = 50001
aque2_intron_hist = hist(intronlengths, breaks=seq(1,50001,20), plot=FALSE)

# gtfstats.py -i Amphimedon_queenslandica.Aqu1.45.gff3.gz --print-intergenic > Amphimedon_queenslandica.Aqu1.45.intergenic.tab
intergenicdata = read.table("~/genomes/ephydatia_muelleri/intron-exon/Amphimedon_queenslandica.Aqu1.45.intergenic.tab", header=FALSE, sep=" ")
meanlength = mean(intergenicdata[,6])
meanlength
medianlength = median(intergenicdata[,6])
medianlength
intergeniclengths = intergenicdata[,6]
intergeniclengths[intergeniclengths>50001] = 50001
aque2_inter_hist = hist(intergeniclengths, breaks=seq(1,50001,50), plot=FALSE)

### N vectensis

# gtfstats.py -i nveGenes.vienna130208.nemVec1.gff --print-exons > ~/genomes/ephydatia_muelleri/intron-exon/nveGenes.vienna130208.exons.tab
exondata = read.table("~/genomes/ephydatia_muelleri/intron-exon/nveGenes.vienna130208.exons.tab", header=FALSE, sep=" ")
meanlength = mean(exondata[,4])
meanlength
medianlength = median(exondata[,4])
medianlength
exonlengths = exondata[,4]
exonlengths[exonlengths>50001] = 50001
nemve2_exon_hist = hist(exonlengths, breaks=seq(1,50001,20), plot=FALSE)

# gtfstats.py -i nveGenes.vienna130208.nemVec1.gff --print-introns > ~/genomes/ephydatia_muelleri/intron-exon/nveGenes.vienna130208.introns.tab
introndata = read.table("~/genomes/ephydatia_muelleri/intron-exon/nveGenes.vienna130208.introns.tab", header=FALSE, sep=" ")
meanlength = mean(introndata[,6])
meanlength
medianlength = median(introndata[,6])
medianlength
intronlengths = introndata[,6]
intronlengths[intronlengths>50001] = 50001
nemve2_intron_hist = hist(intronlengths, breaks=seq(1,50001,20), plot=FALSE)

# gtfstats.py -i nveGenes.vienna130208.nemVec1.gff --print-intergenic > ~/genomes/ephydatia_muelleri/intron-exon/nveGenes.vienna130208.intergenic.tab
intergenicdata = read.table("~/genomes/ephydatia_muelleri/intron-exon/nveGenes.vienna130208.intergenic.tab", header=FALSE, sep=" ")
meanlength = mean(intergenicdata[,6])
meanlength
medianlength = median(intergenicdata[,6])
medianlength
intergeniclengths = intergenicdata[,6]
intergeniclengths[intergeniclengths>50001] = 50001
nemve2_inter_hist = hist(intergeniclengths, breaks=seq(1,50001,50), plot=FALSE)

### B floridae

# gtfstats.py -i Brafl2_augustus.nocomment.gff --print-exons -c | grep -v t2 > ~/genomes/ephydatia_muelleri/intron-exon/brafl2_augustus_exons.tab
exondata = read.table("~/genomes/ephydatia_muelleri/intron-exon/brafl2_augustus_exons.tab", header=FALSE, sep=" ")
meanlength = mean(exondata[,4])
meanlength
medianlength = median(exondata[,4])
medianlength
exonlengths = exondata[,4]
exonlengths[exonlengths>50001] = 50001
brafl_exon_hist = hist(exonlengths, breaks=seq(1,50001,20), plot=FALSE)

# gtfstats.py -i Brafl2_augustus.nocomment.gff --print-introns -c | grep -v t2 > ~/genomes/ephydatia_muelleri/intron-exon/brafl2_augustus_introns.tab
introndata = read.table("~/genomes/ephydatia_muelleri/intron-exon/brafl2_augustus_introns.tab", header=FALSE, sep=" ")
meanlength = mean(introndata[,6])
meanlength
medianlength = median(introndata[,6])
medianlength
intronlengths = introndata[,6]
intronlengths[intronlengths>50001] = 50001
brafl_intron_hist = hist(intronlengths, breaks=seq(1,50001,20), plot=FALSE)

# gtfstats.py -i Brafl2_augustus.nocomment.gff --print-intergenic -c > ~/genomes/ephydatia_muelleri/intron-exon/brafl2_augustus_intergenic.tab
intergenicdata = read.table("~/genomes/ephydatia_muelleri/intron-exon/brafl2_augustus_intergenic.tab", header=FALSE, sep=" ")
meanlength = mean(intergenicdata[,6])
meanlength
medianlength = median(intergenicdata[,6])
medianlength
intergeniclengths = intergenicdata[,6]
intergeniclengths[intergeniclengths>50001] = 50001
brafl_inter_hist = hist(intergeniclengths, breaks=seq(1,50001,50), plot=FALSE)

### T adhaerens

# gtfstats.py -i Trichoplax_scaffolds_JGI_AUGUSTUS_no_comment.gff --print-exons -c > ~/genomes/ephydatia_muelleri/intron-exon/triad1_augustus_exons.tab
introndata = read.table("~/genomes/ephydatia_muelleri/intron-exon/triad1_augustus_exons.tab", header=FALSE, sep=" ")
meanlength = mean(introndata[,4])
meanlength
medianlength = median(introndata[,4])
medianlength
intronlengths = introndata[,4]
intronlengths[intronlengths>50001] = 50001
triad_exon_hist = hist(intronlengths, breaks=seq(1,50001,20), plot=FALSE)

# gtfstats.py -i Trichoplax_scaffolds_JGI_AUGUSTUS_no_comment.gff --print-introns -c > ~/genomes/ephydatia_muelleri/intron-exon/triad1_augustus_introns.tab
introndata = read.table("~/genomes/ephydatia_muelleri/intron-exon/triad1_augustus_introns.tab", header=FALSE, sep=" ")
meanlength = mean(introndata[,6])
meanlength
medianlength = median(introndata[,6])
medianlength
intronlengths = introndata[,6]
intronlengths[intronlengths>50001] = 50001
triad_intron_hist = hist(intronlengths, breaks=seq(1,50001,20), plot=FALSE)

# gtfstats.py -i Trichoplax_scaffolds_JGI_AUGUSTUS_no_comment.gff --print-intergenic -c > ~/genomes/ephydatia_muelleri/intron-exon/triad1_augustus_intergenic.tab
intergenicdata = read.table("~/genomes/ephydatia_muelleri/intron-exon/triad1_augustus_intergenic.tab", header=FALSE, sep=" ")
meanlength = mean(intergenicdata[,6])
meanlength
medianlength = median(intergenicdata[,6])
medianlength
intergeniclengths = intergenicdata[,6]
intergeniclengths[intergeniclengths>50001] = 50001
triad_inter_hist = hist(intergeniclengths, breaks=seq(1,50001,50), plot=FALSE)



pdf("~/genomes/ephydatia_muelleri/intron-exon/multi_species_exon_intron_hist.pdf", width=8, height=11)
par(mar=c(4.5,4.5,2,2), mfrow=c(3,1) )

plot(0,0,type='n', xlim=c(0,1000), ylim=c(0,40000), xlab="Exon length (bp)", ylab="Number of exons", main="Exon lengths", frame.plot=FALSE, axes=FALSE, cex.lab=1.3, cex.main=1.5)
axis(1, cex.axis=1.4)
axis(2, at=seq(0,40000,10000), labels=seq(0,40000,10000), cex.axis=1.4)
lines(emu_exon_hist$mids, emu_exon_hist$counts, lwd=5, col="#6eb95cbb")
lines(aque2_exon_hist$mids, aque2_exon_hist$counts, lwd=5, col="#b463b4bb")
lines(nemve2_exon_hist$mids, nemve2_exon_hist$counts, lwd=5, col="#dc7937bb")
lines(brafl_exon_hist$mids, brafl_exon_hist$counts, lwd=5, col="#5ab6c3bb")
lines(triad_exon_hist$mids, triad_exon_hist$counts, lwd=5, col="#fec44fbb")
legend(1000,40000,legend=c("E.muelleri", "A.queenslandica", "T.adhaerens", "N.vectensis", "B.floridae" ), lwd=5, col=c("#6eb95cbb", "#b463b4bb", "#fec44fbb", "#dc7937bb", "#5ab6c3bb"), cex=1.5, xjust=1)

plot(0,0,type='n', xlim=c(0,2000), ylim=c(0,80000), xlab="Intron length (bp)", ylab="Number of introns", main="Intron lengths", frame.plot=FALSE, axes=FALSE, cex.lab=1.3, cex.main=1.5)
axis(1, cex.axis=1.4)
axis(2, at=seq(0,80000,20000), labels=seq(0,80000,20000), cex.axis=1.4)
lines(emu_intron_hist$mids, emu_intron_hist$counts, lwd=5, col="#6eb95cbb")
lines(aque2_intron_hist$mids, aque2_intron_hist$counts, lwd=5, col="#b463b4bb")
lines(nemve2_intron_hist$mids, nemve2_intron_hist$counts, lwd=5, col="#dc7937bb")
lines(brafl_intron_hist$mids, brafl_intron_hist$counts, lwd=5, col="#5ab6c3bb")
lines(triad_intron_hist$mids, triad_intron_hist$counts, lwd=5, col="#fec44fbb")
legend(2000,80000,legend=c("E.muelleri", "A.queenslandica", "T.adhaerens", "N.vectensis", "B.floridae" ), lwd=5, col=c("#6eb95cbb", "#b463b4bb", "#fec44fbb", "#dc7937bb", "#5ab6c3bb"), cex=1.5, xjust=1)

plot(0,0,type='n', xlim=c(0,5000), ylim=c(0,3000), xlab="Intergenic length (bp)", ylab="Number of regions", main="Intergenic lengths", frame.plot=FALSE, axes=FALSE, cex.lab=1.3, cex.main=1.5)
axis(1, cex.axis=1.4)
axis(2, at=seq(0,3000,750), labels=seq(0,3000,750), cex.axis=1.4)
lines(emu_inter_hist$mids, emu_inter_hist$counts, lwd=5, col="#6eb95cbb")
lines(aque2_inter_hist$mids, aque2_inter_hist$counts, lwd=5, col="#b463b4bb")
lines(nemve2_inter_hist$mids, nemve2_inter_hist$counts, lwd=5, col="#dc7937bb")
lines(brafl_inter_hist$mids, brafl_inter_hist$counts, lwd=5, col="#5ab6c3bb")
lines(triad_inter_hist$mids, triad_inter_hist$counts, lwd=5, col="#fec44fbb")
legend(5000,3000,legend=c("E.muelleri", "A.queenslandica", "T.adhaerens", "N.vectensis", "B.floridae" ), lwd=5, col=c("#6eb95cbb", "#b463b4bb", "#fec44fbb", "#dc7937bb", "#5ab6c3bb"), cex=1.5, xjust=1)

dev.off()


plot(octohist$mids, octohist$counts, col="#810f7c", type='l', lwd=5, xlim=c(0,20000), ylim=c(0,2500), xlab="Intron length (bp)", ylab="Number of introns", main="Octopus bimaculoides RNAseq intron lengths", frame.plot=FALSE, axes=FALSE, cex.lab=1.3, cex.main=1.5)
axis(1, cex.axis=1.4)
axis(2, at=seq(0,2500,500), cex.axis=1.4)

points(meanlength,octohist$counts[octohist$mids>meanlength][1]+100,pch=6, cex=2, lwd=3)
text(meanlength,octohist$counts[octohist$mids>meanlength][1]+250, paste("Mean:", round(meanlength,digits=2)), col="#810f7c", cex=1.8, pos=4, offset=0)

points(medianlength,octohist$counts[octohist$mids>medianlength][1]+500,pch=6, cex=2, lwd=3)
text(medianlength, octohist$counts[octohist$mids>medianlength][1]+650, paste("Median:", round(medianlength,digits=2)), col="#810f7c", cex=1.8, pos=4, offset=0)



#